Subject: RE: [Sipping] RE: [Sip] Call-Info: header

From: "Eric Burger" <[email-masked]>
Date: Mon, 5 Nov 2001 08:36:42 -0500

w.r.t. "onerror":
Under what situations would a caller consider the call successful if they
request a script at the UAS and the script can't run?

w.r.t. comparison to CPL:

CPL upload (for work in a future call) is very different from requesting an
execution on *this* call.

-----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of Sean
Olson (EUS)
[snip]
> How about:
> Service-Info = "Service-Info" ":"
>               (1# (addr-spec)
>               *(";" service-params))
> service-params = "q" "=" qvalue
>               | "onerror" "=" "continue" | "halt"
>               | generic-param
>

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Sean Olson (EUS)
Comments from jdr:
>Well, I have already proposed that the Request-URI indicate
>the vxml script
>to execute, since, as always, the r-uri indicates the user or
>service that
>is being addressed. See draft-rosenberg-sip-vxml-00.txt.
[snip]

Comments from Sean:
> >I don't see this problem as related at all to publication.
> I didn't at first either. I changed my mind when I started
> reading Stevens draft. The fact that the requirements are
> addressing CPL upload made me equate this with generic script
> uploading. VxML is just one example.

>Here, I am trying
>to initiate a session, but the thing I am trying to
>communicate with is not
>a person, but an automata whose behavior is parameterized in
>some way, and
>whose parameters of operation might come from several different places
>(including the caller). That seems much different than
>uploading some kind
>of configuration data that is associated with a subscriber.
I agree from that perspective. Do you consider CPL "configuration data"?
It encapsulates both service logic and service data. What about the
case where you are calling a person but expect an intermediate proxy
to take advantage of the script that the caller is providing?

_______________________________________________
Sipping mailing list  http://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP